Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035793
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2017-04-18 13:092017-04-28 09:31
ReporteradrianromeroView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR17Q3
StatusclosedFix in branchFixed in SCM revision5c254994cc23
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression levelProduction - QA Approved
Regression date2017-02-09
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/da769d49489913d7917eda012f4efc57f6e0d9ba [^]
Triggers an Emergency PackNo
Summary

0035793: [SER-QA 2731] Text overflows the message area when warehouse description is large

DescriptionIn the edit line panel displayed when a line is selected, if the text value is larger than the with of the panel the text properties overflows the edit line panel.
This issue only happens for paid receipts
Steps To Reproduce* Load a paid receipt with a line with the warehouse name too long
* Select the line
* Observe the text displayed overflows the edit line panel.

See attached picture. Just the part of the edit line panel.
Proposed SolutionSee attached patch.
TagsSER-QA
Attached Filesdiff file icon 2731.diff [^] (823 bytes) 2017-04-18 13:14 [Show Content]
png file icon BUT_Issue_2730 (2).png [^] (283,122 bytes) 2017-04-19 14:51

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0035808RR17Q2 closedranjith_qualiantech_com [SER-QA 2731] Text overflows the message area when warehouse description is large 
caused by defect 0035159 closedranjith_qualiantech_com [SER-QA 2406] Inactivate a Return Reason brings inconsistencies 

-  Notes
(0096080)
hgbot (developer)
2017-04-20 08:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5c254994cc2353d0735702bf9b3c36ac42e22c4e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 20 12:20:22 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5c254994cc2353d0735702bf9b3c36ac42e22c4e [^]

Fixes issue 35793 : Increased Receipt Edit Line properties height

* Line Properties height should be fixed to 134px irrespective of paid receipt or not

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0096084)
ranjith_qualiantech_com (developer)
2017-04-20 11:10

Reopening to create backports

- Issue History
Date Modified Username Field Change
2017-04-18 13:09 adrianromero New Issue
2017-04-18 13:09 adrianromero Assigned To => Retail
2017-04-18 13:09 adrianromero Triggers an Emergency Pack => No
2017-04-18 13:10 adrianromero Steps to Reproduce Updated View Revisions
2017-04-18 13:10 adrianromero Proposed Solution updated
2017-04-18 13:11 adrianromero Relationship added caused by 0035159
2017-04-18 13:12 adrianromero Summary Text overflows the message area when warehouse description is large => [SER-QA 2731] Text overflows the message area when warehouse description is large
2017-04-18 13:12 adrianromero Tag Attached: SER-QA
2017-04-18 13:13 adrianromero Regression level => Pre packaging ( pi )
2017-04-18 13:13 adrianromero Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/da769d49489913d7917eda012f4efc57f6e0d9ba [^]
2017-04-18 13:14 adrianromero File Added: 2731.diff
2017-04-18 13:16 adrianromero File Added: BUT_Issue_2730.png
2017-04-18 13:17 adrianromero Steps to Reproduce Updated View Revisions
2017-04-19 13:06 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-04-19 13:37 adrianromero Regression level Pre packaging ( pi ) => Production - QA Approved
2017-04-19 13:37 adrianromero Regression date => 2017-02-09
2017-04-19 13:43 adrianromero Regression introduced in release => RR17Q2
2017-04-19 14:50 adrianromero File Deleted: BUT_Issue_2730.png
2017-04-19 14:51 adrianromero File Added: BUT_Issue_2730 (2).png
2017-04-20 08:25 ranjith_qualiantech_com Status new => scheduled
2017-04-20 08:50 hgbot Checkin
2017-04-20 08:50 hgbot Note Added: 0096080
2017-04-20 08:50 hgbot Status scheduled => resolved
2017-04-20 08:50 hgbot Resolution open => fixed
2017-04-20 08:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5c254994cc2353d0735702bf9b3c36ac42e22c4e [^]
2017-04-20 11:10 ranjith_qualiantech_com Note Added: 0096084
2017-04-20 11:10 ranjith_qualiantech_com Status resolved => new
2017-04-20 11:10 ranjith_qualiantech_com Resolution fixed => open
2017-04-20 11:31 ranjith_qualiantech_com Status new => scheduled
2017-04-20 11:31 ranjith_qualiantech_com Status scheduled => resolved
2017-04-20 11:31 ranjith_qualiantech_com Resolution open => fixed
2017-04-20 12:29 dmitry_mezentsev Regression introduced in release RR17Q2 =>
2017-04-20 12:29 dmitry_mezentsev Severity major => minor
2017-04-28 09:31 guilleaer Review Assigned To => guilleaer
2017-04-28 09:31 guilleaer Status resolved => closed
2017-04-28 09:31 guilleaer Fixed in Version => RR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker